Bug 1314957 - Please provide a solution for serving http/2 in Fedora
Please provide a solution for serving http/2 in Fedora
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nginx (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 23:41 EST by Victor Costan
Modified: 2016-06-05 21:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-05 11:46:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Costan 2016-03-04 23:41:46 EST
Description of problem:

Google Chrome is in the process of removing its SPDY support [1], and expects site operators to switch to http/2. nginx has official mainline support for http/2 starting at 1.9.5 [2]. Fedora currently includes nginx 1.8 [3, 4]. Please give us a solution for serving content via http/2 using official packages in the Fedora repository.

Version-Release number of selected component (if applicable): N/A

How reproducible: always

Steps to Reproduce:
1. Set up a https server using Fedora and nginx.
2. Check the connection using a Chrome extension [5, 6] or a service [7].

Actual results: nginx 1.8.x can only be configured to serve content using http or spdy

Expected results: the nginx package in the official repositories supports the "http2" configuration option and serves http/2 content

Additional info:

[1] https://www.chromestatus.com/features/5711167683035136
[2] https://www.nginx.com/blog/nginx-1-9-5/
[3] https://bodhi.fedoraproject.org/updates/?packages=nginx
[4] http://koji.fedoraproject.org/koji/packageinfo?packageID=2638
[5] https://addons.mozilla.org/en-us/firefox/addon/spdy-indicator/
[6] https://chrome.google.com/webstore/detail/http2-and-spdy-indicator/mpbpobfflnpcgagjijhmgnchggcjblin
[7] https://tools.keycdn.com/http2-test
Comment 1 Victor Costan 2016-05-10 20:30:55 EDT
nginx 1.10 was released [1]. Packaging it should solve this bug.

[1] http://nginx.org/en/CHANGES-1.10
Comment 2 Victor Costan 2016-06-05 21:25:41 EDT
nginx 1.10 appears to be in F24 now. Does this mean NEXTRELEASE?

Thank you! 
https://bodhi.fedoraproject.org/updates/FEDORA-2016-d7f20e326d

Note You need to log in before you can comment on or make changes to this bug.